/* ------------------------------------
 * Sample code to use Serial LCD with PIC16F877A
 * The serial LCD is SLCD from Cytron Technologies
 * This Serial LCD used SPI to communicate with PIC
 * Please refer to user's manual of Serial LCD at www.cytron.com.my
 * Author: Ober Choo, modified from Kong
 * ----------------------------------*/
 

#include "constant.h"



void main(void)
{
	init_IO();			// initialize the Input and Output of PIC16F877A pin
	init_spi();			// initialize SPI on PIC
	slcd_init();			// initialize the Serial LCD
	slcd_clear();			// Clear the LCD 
	delay_ms(5);			// delay a while
	slcd_putstr("     Cytron");		// Display message on Serial LCD
	slcd_newline();					// jump to second line
	slcd_putstr("ROBOT.HEADtoTOE");	
	while(1);				// keep looping
	
}